#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-GAtswRKlNCbKDEqyEu2623
key:                  ghcide-1.10.0.0-GAtswRKlNCbKDEqyEu2623
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  2a6db19002b0a627b8bfde38193ea516
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-GAtswRKlNCbKDEqyEu2623
depends:
    Diff-0.4.1-E3RDTzoV6Si3L944I2TPTq
    Glob-0.10.2-B0fm334WZGg8PBuNIl0k3w
    aeson-2.1.2.1-6T3arzxZmxGLR0VNwk73dB
    aeson-pretty-0.8.10-8h1sj8OPQMDFxkqLABbzuk array-0.5.4.0
    async-2.2.5-5XCvqKuypO07vwzQefuSFU base-4.16.4.0
    base16-bytestring-1.0.2.0-CF98Y36Ejy7GUMkUrxnSAZ binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-6njWxjerTHa1UxnauQh5c6
    co-log-core-0.3.2.3-F5dZ4NzDsMFCe1dC293qfm containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-heN4yGjgzZ1cILaiofFk
    data-default-0.7.1.1-6FyQuCzLafhFdNBg39HHMj deepseq-1.4.6.1
    dependent-map-0.4.0.0-4y95w6ynwrKKiUYyIxURCC
    dependent-sum-0.7.2.0-AnE8FIjMHzzH59g4J1Tzts directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-Stmb8CsVg7DV4EaTkwwPR exceptions-0.10.4
    extra-1.7.16-EbGxMIOltcu7ZR3rlg1Ydk filepath-1.4.2.2
    fingertree-0.1.5.0-3gjdUpOoT0p6fG7fZ0Ctce
    focus-1.0.3.2-EUbgtKNJbes9dPuZsX1exJ ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-QoRLjuolnLJySFAmTWqzI
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-KdkvMPaNcHVD6sM61SoNQZ
    hashable-1.4.4.0-1DKi0WUbpLrE22bUerprT9
    hie-bios-0.12.0-5QKAs0t73EtKidMg7JuNuu
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-2nYR1jHWB5k9WwfxzK8Zw5
    hls-graph-1.9.0.0-J2tjCgJ1DyTDGSqp9Nj0V2
    hls-plugin-api-1.6.0.0-6AN5JMfVpJwIDPjd1iz0SQ
    implicit-hie-0.1.2.7-EZLEQmDdvhkHkXHFM2jbtr
    implicit-hie-cradle-0.5.0.1-Gm9G8EYTdAZEUl7eQvBKPg
    lens-5.2.3-7KIPe29YDsM72AVahiJlyf
    list-t-1.0.5.5-9hix5nWzOCyHf3qVrsgvv6
    lsp-1.6.0.0-LuG0TARkdJp8NwprXsceSf
    lsp-types-1.6.0.0-FA3g6MgLOTDgKEwtpGuEV mtl-2.2.2
    opentelemetry-0.8.0-97c58gdYySDFlnGVxLxNxh
    optparse-applicative-0.17.1.0-AgMeQrX7nmlDOnX2xcegDb
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-1sFDtN1adGu6hupupq4ASW
    prettyprinter-ansi-terminal-1.1.3-CwpEOYQpHjGBrIS5b9k3V6
    random-1.2.1.2-A1nmgsccnvnI4hMd5jmfsN
    regex-tdfa-1.3.2.2-7CRoAV8RCYTD5cbbr6T8mH
    safe-exceptions-0.1.7.4-I1Q9FVtOYsyIKL0xSRGWMH
    sorted-list-0.2.2.0-H7vQlBuz1tNDht6eTpr6sg
    sqlite-simple-0.4.19.0-16q8IO01duQ16bAU1y9IAl stm-2.5.0.2
    stm-containers-1.2.1-2XiRfvRivEdJ8HiISFfUrb
    syb-0.7.2.4-96PLGA9ePRoKEvwVQEltSr text-1.2.5.0
    text-rope-0.3-LGiAe3zEk7bG9fVI3F91pq time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-BTZsTmRO5MMERl490t8n4B
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-EKpOBluUqpuDOTuVUTImll
    vector-0.13.1.0-6G7HaD4XqvmDrN5OhcYDtS

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

